## github-backup 1.20120314

=== Makefile ===
PREFIX=/usr
BASEFLAGS=-Wall
GHCFLAGS=-O2 $(BASEFLAGS)
bins=github-backup
mans=github-backup.1
all=$(bins)

ifdef PROFILE
GHCFLAGS=-prof -auto-all -rtsopts -caf-all -fforce-recomp
endif

GHCMAKE=ghc $(GHCFLAGS) --make

# Am I typing :make in vim? Do a fast build.
ifdef VIM
all=fast
endif

all: $(all)

# Disables optimisation. Not for production use.
fast: GHCFLAGS=$(BASEFLAGS)
fast: $(bins)

$(bins):
	$(GHCMAKE) $@

install: all
	install -d $(DESTDIR)$(PREFIX)/bin
	install $(bins) $(DESTDIR)$(PREFIX)/bin
	install -d $(DESTDIR)$(PREFIX)/share/man/man1
	install -m 0644 $(mans) $(DESTDIR)$(PREFIX)/share/man/man1

clean:
	rm -f $(bins)
	find . \( -name \*.o -or -name \*.hi \) -exec rm {} \;

.PHONY: $(bins)

=== debian/changelog ===
github-backup (1.20120314) unstable; urgency=low

  * First release.

 -- Joey Hess <joeyh@debian.org>  Tue, 13 Mar 2012 20:22:43 -0400

=== debian/control ===
Source: github-backup
Section: utils
Priority: optional
Build-Depends: 
	debhelper (>= 9),
	ghc,
	libghc-github-dev,
	libghc-missingh-dev,
	libghc-hslogger-dev,
	libghc-pretty-show-dev,
	libghc-ifelse-dev,
Maintainer: Joey Hess <joeyh@debian.org>
Standards-Version: 3.9.3
Vcs-Git: git://github.com/joeyh/github-backup.git
Homepage: http://guthub.com/joeyh/github-backup

Package: github-backup
Architecture: any
Section: utils
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: backs up data from GitHub
 github-backup is a simple tool you run in a git repository you cloned from
 GitHub. It backs up everything GitHub publishes about the repository,
 including other forks, issues, comments, wikis, milestones, pull requests,
 and watchers.

## github-backup 1.20120627

=== debian/changelog ===
github-backup (1.20120627) unstable; urgency=low

  * Rebuilt with new haskell-github, that works with the new version
    of http-conduit in Debian. Closes: #678787
  * Various updates to internal git and utility libraries shared with git-annex.

 -- Joey Hess <joeyh@debian.org>  Wed, 27 Jun 2012 22:21:01 -0400

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 Maintainer: Joey Hess <joeyh@debian.org>
 Standards-Version: 3.9.3
 Vcs-Git: git://github.com/joeyh/github-backup.git
-Homepage: http://guthub.com/joeyh/github-backup
+Homepage: http://github.com/joeyh/github-backup
 
 Package: github-backup
 Architecture: any

## github-backup 1.20120628.1

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,12 @@
 PREFIX=/usr
-BASEFLAGS=-Wall
+BASEFLAGS=-Wall -outputdir tmp
 GHCFLAGS=-O2 $(BASEFLAGS)
 bins=github-backup
 mans=github-backup.1
 all=$(bins)
 
 ifdef PROFILE
-GHCFLAGS=-prof -auto-all -rtsopts -caf-all -fforce-recomp
+GHCFLAGS=-prof -auto-all -rtsopts -caf-all -fforce-recomp $(BASEFLAGS)
 endif
 
 GHCMAKE=ghc $(GHCFLAGS) --make
@@ -32,7 +32,11 @@
 	install -m 0644 $(mans) $(DESTDIR)$(PREFIX)/share/man/man1
 
 clean:
-	rm -f $(bins)
-	find . \( -name \*.o -or -name \*.hi \) -exec rm {} \;
+	rm -rf $(bins) tmp
+
+# Upload to hackage.
+hackage: clean
+	@cabal sdist
+	@cabal upload dist/*.tar.gz
 
 .PHONY: $(bins)

=== debian/changelog ===
github-backup (1.20120628.1) unstable; urgency=low

  * Rebuilt with new haskell-github, to deal with a github API change.
    (See #706187)
  * Also a minor change to build when haskell-monads-tf is installed.

 -- Joey Hess <joeyh@debian.org>  Sat, 27 Apr 2013 18:37:45 -0400

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Build-Depends: 
 	debhelper (>= 9),
 	ghc,
-	libghc-github-dev,
+	libghc-github-dev (>= 0.4.0-2),
 	libghc-missingh-dev,
 	libghc-hslogger-dev,
 	libghc-pretty-show-dev,

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

# Not intended for use by anyone except the author.
announcedir:
	@echo ${HOME}/src/joeywiki/code/github-backup/news

## github-backup 1.20130614ubuntu1

=== debian/changelog ===
github-backup (1.20130614ubuntu1) saucy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/control: Build-depend on libghc-extensible-exceptions-dev to fix
      FTBFS.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 16 Jun 2013 20:53:30 -0400

github-backup (1.20130614) unstable; urgency=low

  * Pass --ignore-removal to git-add, in preparation for a future change
    to its default behavior. Requires git 1.8.3. Closes: #711287

 -- Joey Hess <joeyh@debian.org>  Fri, 14 Jun 2013 15:50:49 -0400

github-backup (1.20130414) experimental; urgency=low

  * Updated to use haskell-github 0.6.0, which supports pagination of queries
    Thanks to John Wiegley for making those changes.
  * Also backup closed issues. Thanks, John Wiegley.
  * cabal file no longer tries to list every source file, as that was
    error-prone, and I left some out.

 -- Joey Hess <joeyh@debian.org>  Fri, 12 Apr 2013 18:33:11 -0400

github-backup (1.20120628.1ubuntu1) saucy; urgency=low

  * debian/control: Add Build-Depends on libghc-extensible-exceptions-dev to
    fix FTBFS.

 -- Logan Rosen <logan@ubuntu.com>  Tue, 07 May 2013 16:18:07 -0400

=== debian/control ===
Source: github-backup
Section: utils
Priority: optional
Build-Depends: 
	debhelper (>= 9),
	ghc,
	libghc-github-dev (>= 0.5.1),
	libghc-missingh-dev,
	libghc-hslogger-dev,
	libghc-pretty-show-dev,
	libghc-ifelse-dev,
	libghc-extensible-exceptions-dev
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Joey Hess <joeyh@debian.org>
Standards-Version: 3.9.3
Vcs-Git: git://github.com/joeyh/github-backup.git
Homepage: http://github.com/joeyh/github-backup

Package: github-backup
Architecture: any
Section: utils
Depends: ${misc:Depends}, ${shlibs:Depends}, git (>= 1:1.8.3)
Description: backs up data from GitHub
 github-backup is a simple tool you run in a git repository you cloned from
 GitHub. It backs up everything GitHub publishes about the repository,
 including other forks, issues, comments, wikis, milestones, pull requests,
 and watchers.

## github-backup 1.20130617

=== debian/changelog ===
github-backup (1.20130617) unstable; urgency=low

  * Build-Depend on libghc-extensible-exceptions-dev. Closes: #712549
  * Various updates to internal git and utility libraries shared with
    git-annex, including some Windows portability.
  * Fixed to never touch the git work tree or index file, instead using
    its own to commit to the github branch.

 -- Joey Hess <joeyh@debian.org>  Mon, 17 Jun 2013 12:28:30 -0400

## github-backup 1.20130618

=== debian/changelog ===
github-backup (1.20130618) unstable; urgency=low

  * Much better creation and committing to the github branch. 

 -- Joey Hess <joeyh@debian.org>  Mon, 17 Jun 2013 17:40:02 -0400

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,8 @@
 	libghc-pretty-show-dev,
 	libghc-ifelse-dev,
 	libghc-extensible-exceptions-dev
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Joey Hess <joeyh@debian.org>
-Standards-Version: 3.9.3
+Maintainer: Joey Hess <joeyh@debian.org>
+Standards-Version: 3.9.4
 Vcs-Git: git://github.com/joeyh/github-backup.git
 Homepage: http://github.com/joeyh/github-backup

## github-backup 1.20130622

=== Makefile ===
--- 
+++ 
@@ -32,11 +32,11 @@
 	install -m 0644 $(mans) $(DESTDIR)$(PREFIX)/share/man/man1
 
 clean:
-	rm -rf $(bins) tmp
+	rm -rf $(bins) tmp dist
 
 # Upload to hackage.
 hackage: clean
-	@cabal sdist
+	./make-sdist.sh
 	@cabal upload dist/*.tar.gz
 
 .PHONY: $(bins)

=== debian/changelog ===
github-backup (1.20130622) unstable; urgency=low

  * Add missing unix-compat build dependency. Closes: #713279

 -- Joey Hess <joeyh@debian.org>  Sat, 22 Jun 2013 13:08:57 -0400

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,8 @@
 	libghc-hslogger-dev,
 	libghc-pretty-show-dev,
 	libghc-ifelse-dev,
-	libghc-extensible-exceptions-dev
+	libghc-extensible-exceptions-dev,
+	libghc-unix-compat-dev
 Maintainer: Joey Hess <joeyh@debian.org>
 Standards-Version: 3.9.4
 Vcs-Git: git://github.com/joeyh/github-backup.git
@@ -18,7 +19,7 @@
 Package: github-backup
 Architecture: any
 Section: utils
-Depends: ${misc:Depends}, ${shlibs:Depends}, git (>= 1:1.8.3)
+Depends: ${misc:Depends}, ${shlibs:Depends}, git
 Description: backs up data from GitHub
  github-backup is a simple tool you run in a git repository you cloned from
  GitHub. It backs up everything GitHub publishes about the repository,

## github-backup 1.20131006

=== Makefile ===
PREFIX=/usr
CABAL?=cabal # set to "./Setup" if you lack a cabal program

build: Build/SysConfig.hs
	$(CABAL) build
	ln -sf dist/build/github-backup/github-backup github-backup

Build/SysConfig.hs: configure.hs Build/TestConfig.hs Build/Configure.hs
	if [ "$(CABAL)" = ./Setup ]; then ghc --make Setup; fi
	$(CABAL) configure

install: build
	install -d $(DESTDIR)$(PREFIX)/bin
	install github-backup $(DESTDIR)$(PREFIX)/bin
	install -d $(DESTDIR)$(PREFIX)/share/man/man1
	install -m 0644 github-backup.1 $(DESTDIR)$(PREFIX)/share/man/man1

clean:
	rm -rf github-backup dist configure Build/SysConfig.hs Setup
	find -name \*.o -exec rm {} \;
	find -name \*.hi -exec rm {} \;

# Upload to hackage.
hackage: clean
	./make-sdist.sh
	@cabal upload dist/*.tar.gz

=== debian/changelog ===
github-backup (1.20131006) unstable; urgency=low

  * Ported to Windows.
  * Improve error message when it fails to query github for repositories
    belonging to a user. Closes: #705084
  * Various updates to internal git and utility libraries shared with git-annex.
  * Makefile now uses cabal to build.

 -- Joey Hess <joeyh@debian.org>  Sun, 06 Oct 2013 18:04:56 -0400

## github-backup 1.20131101

=== Makefile ===
--- 
+++ 
@@ -4,6 +4,7 @@
 build: Build/SysConfig.hs
 	$(CABAL) build
 	ln -sf dist/build/github-backup/github-backup github-backup
+	@$(MAKE) tags >/dev/null 2>&1 &
 
 Build/SysConfig.hs: configure.hs Build/TestConfig.hs Build/Configure.hs
 	if [ "$(CABAL)" = ./Setup ]; then ghc --make Setup; fi
@@ -16,7 +17,7 @@
 	install -m 0644 github-backup.1 $(DESTDIR)$(PREFIX)/share/man/man1
 
 clean:
-	rm -rf github-backup dist configure Build/SysConfig.hs Setup
+	rm -rf github-backup dist configure Build/SysConfig.hs Setup tags
 	find -name \*.o -exec rm {} \;
 	find -name \*.hi -exec rm {} \;
 
@@ -24,3 +25,7 @@
 hackage: clean
 	./make-sdist.sh
 	@cabal upload dist/*.tar.gz
+
+# hothasktags chokes on some template haskell etc, so ignore errors
+tags:
+	find . | grep -v /.git/ | grep -v /tmp/ | grep -v /dist/ | grep -v /doc/ | egrep '\.hs$$' | xargs hothasktags > tags 2>/dev/null

=== debian/changelog ===
github-backup (1.20131101) unstable; urgency=low

  * Now also backs up the repos a user is watching, when run with a user's
    name. Useful if you want to back up repositories that you have not forked;
    just watch them and run github-backup.
  * Can now log in to github, to avoid increasingly small API rate limits.
    Set GITHUB_USER and GITHUB_PASSWORD environment to enable.
    Note that a few api calls don't use authentication; see
    https://github.com/fpco/github/issues/40
  * Build-Depend on git. Closes: #728481
  * Don't include tmp directory in files stored in the github branch.

 -- Joey Hess <joeyh@debian.org>  Fri, 01 Nov 2013 18:00:16 -0400

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Build-Depends: 
 	debhelper (>= 9),
 	ghc,
+	git,
 	libghc-github-dev (>= 0.5.1),
 	libghc-missingh-dev,
 	libghc-hslogger-dev,

## github-backup 1.20131203

=== Makefile ===
--- 
+++ 
@@ -23,7 +23,7 @@
 
 # Upload to hackage.
 hackage: clean
-	./make-sdist.sh
+	./Build/make-sdist.sh
 	@cabal upload dist/*.tar.gz
 
 # hothasktags chokes on some template haskell etc, so ignore errors

=== debian/changelog ===
github-backup (1.20131203) unstable; urgency=low

  * Now also backs up the repos a user has starred, when run with a user's
    name.
  * Now finds and backs up the parent repository that a repository got forked
    from.
  * Uses authentication for all API calls.
  * Fairer ordering of requests when backing up many repositories at once.
  * Avoid making requests for data that has already been backed up until
    after new data has been backed up. Handles API rate limiting much better.
    Closes: #723859

 -- Joey Hess <joeyh@debian.org>  Tue, 03 Dec 2013 12:45:18 -0400

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 	debhelper (>= 9),
 	ghc,
 	git,
-	libghc-github-dev (>= 0.5.1),
+	libghc-github-dev (>= 0.7.2),
 	libghc-missingh-dev,
 	libghc-hslogger-dev,
 	libghc-pretty-show-dev,

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,11 @@
 #!/usr/bin/make -f
+
+# Avoid using cabal, as it writes to $HOME
+export CABAL=./Setup
+
+# Do use the changelog's version number, rather than making one up.
+export RELEASE_BUILD=1
+
 %:
 	dh $@

## github-backup 1.20131203+build1

=== debian/changelog ===
github-backup (1.20131203+build1) staging; urgency=low

  * No-change rebuild against updated haskell libraries.

 -- Jon Severinsson <jon@severinsson.net>  Sat, 01 Feb 2014 22:00:00 +0100

## github-backup 1.20140807

=== debian/changelog ===
github-backup (1.20140807) unstable; urgency=medium

  * Fix build with github 0.9.
  * Fix creation of github branch.

 -- Joey Hess <joeyh@debian.org>  Thu, 07 Aug 2014 22:17:22 -0400

github-backup (1.20140721) unstable; urgency=medium

  * Fix typo in fix for url parsing. Closes: #755261

 -- Joey Hess <joeyh@debian.org>  Mon, 21 Jul 2014 13:10:49 -0400

github-backup (1.20140720) unstable; urgency=medium

  * Deal with trailing slashes on github repo urls. Closes: #755261
  * Fix bug introduced by change to embedded git libraries
    in last release. Closes: #755262

 -- Joey Hess <joeyh@debian.org>  Sun, 20 Jul 2014 17:20:26 -0400

github-backup (1.20140707) unstable; urgency=medium

  * Add --exclude to skip backing up a specific repository
    when backing up a user or organization's repositories.
    Closes: #754072
  * Converted to using optparse-applicative.
  * Multiple usernames can now be specified to back up at once.

 -- Joey Hess <joeyh@debian.org>  Mon, 07 Jul 2014 23:01:03 -0400

github-backup (1.20140704) unstable; urgency=medium

  * Avoid making signed commits when committing to the github-backup branch
    and the user has commit.gpgsign=true.
    Closes: #753720
  * Various updates to internal git and utility libraries shared with git-annex.

 -- Joey Hess <joeyh@debian.org>  Fri, 04 Jul 2014 12:01:11 -0400

## github-backup 1.20140831

=== debian/changelog ===
github-backup (1.20140831) unstable; urgency=medium

  * Fix build with github 0.10.

 -- Joey Hess <joeyh@debian.org>  Sun, 31 Aug 2014 15:31:26 -0700

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,12 @@
 	libghc-hslogger-dev,
 	libghc-pretty-show-dev,
 	libghc-ifelse-dev,
-	libghc-extensible-exceptions-dev,
-	libghc-unix-compat-dev
+	libghc-exceptions-dev,
+	libghc-transformers-dev,
+	libghc-unix-compat-dev,
+	libghc-optparse-applicative-dev
 Maintainer: Joey Hess <joeyh@debian.org>
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Git: git://github.com/joeyh/github-backup.git
 Homepage: http://github.com/joeyh/github-backup

## github-backup 1.20141110

=== debian/changelog ===
github-backup (1.20141110) unstable; urgency=medium

  * Orphaned the Debian package.
    (I continue to maintain github-backup upstream.)

 -- Joey Hess <joeyh@debian.org>  Mon, 10 Nov 2014 12:19:59 -0400

github-backup (1.20141031) unstable; urgency=medium

  * Adjust cabal file for network-uri split.
  * Avoid using optparse-applicate's argument combinator, so it will build
    with 0.11 and older too.
  * Various updates to internal git and utility libraries shared with
    git-annex.

 -- Joey Hess <joeyh@debian.org>  Fri, 31 Oct 2014 11:17:49 -0400

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 	libghc-transformers-dev,
 	libghc-unix-compat-dev,
 	libghc-optparse-applicative-dev
-Maintainer: Joey Hess <joeyh@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Standards-Version: 3.9.5
 Vcs-Git: git://github.com/joeyh/github-backup.git
 Homepage: http://github.com/joeyh/github-backup

## github-backup 1.20141204.1

=== debian/changelog ===
github-backup (1.20141204.1) unstable; urgency=medium

  * Set myself as maintainer.

 -- James McCoy <jamessan@debian.org>  Fri, 19 Jun 2015 21:32:18 -0400

github-backup (1.20141204) unstable; urgency=high

  * Fix broken argument parser for the username|organization parameter.
    Closes: #772043

 -- Joey Hess <id@joeyh.name>  Thu, 04 Dec 2014 12:29:06 -0400

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 	libghc-transformers-dev,
 	libghc-unix-compat-dev,
 	libghc-optparse-applicative-dev
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: James McCoy <jamessan@debian.org>
 Standards-Version: 3.9.5
 Vcs-Git: git://github.com/joeyh/github-backup.git
 Homepage: http://github.com/joeyh/github-backup

## github-backup 1.20141204.1build1

=== debian/changelog ===
github-backup (1.20141204.1build1) wily; urgency=medium

  * No-change rebuild against libicu55

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 07 Aug 2015 01:29:59 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,8 @@
 	libghc-transformers-dev,
 	libghc-unix-compat-dev,
 	libghc-optparse-applicative-dev
-Maintainer: James McCoy <jamessan@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: James McCoy <jamessan@debian.org>
 Standards-Version: 3.9.5
 Vcs-Git: git://github.com/joeyh/github-backup.git
 Homepage: http://github.com/joeyh/github-backup

## github-backup 1.20150807

=== debian/changelog ===
github-backup (1.20150807-1) unstable; urgency=medium

  * New upstream release

 -- James McCoy <jamessan@debian.org>  Mon, 24 Aug 2015 20:13:50 -0400

github-backup (1.20150807) unstable; urgency=medium

  * Added bash completion.
  * Add --no-forks flag that turns off backing up forks.
    Thanks, Phil Ruffwind.
  * Avoid nonzero exit due to temporary failures that can be retried next
    time github-backup runs, so that it can be used in a cron job with eg,
    chronic.

 -- Joey Hess <id@joeyh.name>  Fri, 07 Aug 2015 12:50:02 -0400

github-backup (1.20150618) unstable; urgency=medium

  * Fix broken configure script.

 -- Joey Hess <id@joeyh.name>  Thu, 18 Jun 2015 16:56:41 -0400

github-backup (1.20150617) unstable; urgency=medium

  * Add missing build deps for windows to cabal file.
    Thanks, Jeff Segal.
  * Various updates to internal git and utility libraries shared
    with git-annex.

 -- Joey Hess <id@joeyh.name>  Wed, 17 Jun 2015 14:44:14 -0400

github-backup (1.20150106) unstable; urgency=medium

  * Fix build with process 1.2.1.0.
  * Various updates to internal git and utility libraries shared
    with git-annex.

 -- Joey Hess <id@joeyh.name>  Tue, 06 Jan 2015 19:08:08 -0400

github-backup (1.20141222) unstable; urgency=medium

  * Added gitriddance(1), a utility to close all issues and pull requests,
    for repos that don't want to be bothered with GitHub's proprietary
    issue tracker.
  * gitriddance depends on github 0.13.1, which has bug fixes
    for posting comments.
  * Various updates to internal git and utility libraries shared
    with git-annex.

 -- Joey Hess <id@joeyh.name>  Mon, 22 Dec 2014 15:30:08 -0400

## github-backup 1.20160207

=== debian/changelog ===
github-backup (1.20160207-1) unstable; urgency=medium

  * New upstream release

 -- James McCoy <jamessan@debian.org>  Thu, 18 Feb 2016 23:07:42 -0500

github-backup (1.20160207) unstable; urgency=medium

  * Switch to using https instead of git:// for a secure transport.
    Note that existing git:// remotes will continue to be used.
    Thanks, Robin Schneider.
  * Add upper bound on github dependency, as version 0.14 has large API
    changes and can't be used yet.
  * Various updates to internal git and utility libraries shared
    with git-annex.
  * Silence build warnings with ghc 7.10.

 -- Joey Hess <id@joeyh.name>  Sun, 07 Feb 2016 23:29:59 -0400

## github-backup 1.20160319

=== Makefile ===
--- 
+++ 
@@ -4,6 +4,7 @@
 build: Build/SysConfig.hs
 	$(CABAL) build
 	ln -sf dist/build/github-backup/github-backup github-backup
+	ln -sf dist/build/gitriddance/gitriddance gitriddance
 	@$(MAKE) tags >/dev/null 2>&1 &
 
 Build/SysConfig.hs: configure.hs Build/TestConfig.hs Build/Configure.hs
@@ -12,12 +13,14 @@
 
 install: build
 	install -d $(DESTDIR)$(PREFIX)/bin
-	install github-backup $(DESTDIR)$(PREFIX)/bin
+	install github-backup gitriddance $(DESTDIR)$(PREFIX)/bin
 	install -d $(DESTDIR)$(PREFIX)/share/man/man1
-	install -m 0644 github-backup.1 $(DESTDIR)$(PREFIX)/share/man/man1
+	install -m 0644 github-backup.1 gitriddance.1 $(DESTDIR)$(PREFIX)/share/man/man1
+	install -d $(DESTDIR)$(PREFIX)/share/bash-completion/completions
+	./github-backup --bash-completion-script github-backup > $(DESTDIR)$(PREFIX)/share/bash-completion/completions/github-backup
 
 clean:
-	rm -rf github-backup dist configure Build/SysConfig.hs Setup tags
+	rm -rf github-backup gitriddance dist configure Build/SysConfig.hs Setup tags
 	find -name \*.o -exec rm {} \;
 	find -name \*.hi -exec rm {} \;

=== debian/changelog ===
github-backup (1.20160319-1) unstable; urgency=medium

  * New upstream release.
    + Ported to new haskell-github
      - Fixes "failed to parse" JsonErrors. (Closes: #819556)
      - Fixes inability to backup forks. (Closes: #821305)

 -- James McCoy <jamessan@debian.org>  Tue, 03 May 2016 22:07:03 -0400

github-backup (1.20160319) unstable; urgency=medium

  * Update to github-0.14.1.
    Building with old versions is not supported due to the massive API
    changes in this version of the github library.
  * Added support for oath tokens.

 -- Joey Hess <id@joeyh.name>  Sat, 19 Mar 2016 14:11:55 -0400

=== debian/control ===
Source: github-backup
Section: utils
Priority: optional
Build-Depends: 
	debhelper (>= 9),
	ghc,
	git,
	libghc-github-dev (>= 0.14.0), libghc-github-dev (<< 0.15.0),
	libghc-missingh-dev,
	libghc-hslogger-dev,
	libghc-pretty-show-dev,
	libghc-ifelse-dev,
	libghc-exceptions-dev,
	libghc-transformers-dev,
	libghc-unix-compat-dev,
	libghc-optparse-applicative-dev,
	libghc-vector-dev,
	libghc-utf8-string-dev,
Maintainer: James McCoy <jamessan@debian.org>
Standards-Version: 3.9.5
Vcs-Git: git://github.com/joeyh/github-backup.git -b debian/sid
Homepage: http://github.com/joeyh/github-backup

Package: github-backup
Architecture: any
Section: utils
Depends: ${misc:Depends}, ${shlibs:Depends}, git
Description: backs up data from GitHub
 github-backup is a simple tool you run in a git repository you cloned from
 GitHub. It backs up everything GitHub publishes about the repository,
 including other forks, issues, comments, wikis, milestones, pull requests,
 and watchers.
 .
 Also includes gitriddance, which can be used to close all open issues and
 pull requests.

## github-backup 1.20160522

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Build/SysConfig.hs: configure.hs Build/TestConfig.hs Build/Configure.hs
 	if [ "$(CABAL)" = ./Setup ]; then ghc --make Setup; fi
-	$(CABAL) configure
+	$(CABAL) configure --ghc-options="$(shell Build/collect-ghc-options.sh)"
 
 install: build
 	install -d $(DESTDIR)$(PREFIX)/bin

=== debian/changelog ===
github-backup (1.20160522-2) unstable; urgency=medium

  * Add remove-System.Directory-import patch to fix build with recent directory
    module.  (Closes: #842515)

 -- James McCoy <jamessan@debian.org>  Thu, 10 Nov 2016 00:22:04 -0500

github-backup (1.20160522-1) unstable; urgency=medium

  * New upstream release.

 -- James McCoy <jamessan@debian.org>  Sun, 22 May 2016 20:51:09 -0400

github-backup (1.20160522) unstable; urgency=medium

  * Work around git weirdness in handling of relative path to GIT_INDEX_FILE
    when in a subdirectory of the repository.
  * Various updates to internal git and utility libraries shared
    with git-annex.
  * debian: Add lintian overrides for rpath.
  * debian: Bump standards-version.
  * Makefile: Pass LDFLAGS, CFLAGS, and CPPFLAGS through ghc and on to 
    ld, cc, and cpp. This lets the Debian package build with various
    hardening options. Although their benefit to a largely haskell program
    is unknown.

 -- Joey Hess <id@joeyh.name>  Sun, 22 May 2016 15:24:04 -0400

github-backup (1.20160511) unstable; urgency=medium

  * Fix build with directory-1.2.6.2.
  * github-backup.cabal: Add Setup-Depends.

 -- Joey Hess <id@joeyh.name>  Wed, 11 May 2016 13:12:12 -0400

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 	libghc-vector-dev,
 	libghc-utf8-string-dev,
 Maintainer: James McCoy <jamessan@debian.org>
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Vcs-Git: git://github.com/joeyh/github-backup.git -b debian/sid
 Homepage: http://github.com/joeyh/github-backup

## github-backup 1.20170301

=== debian/changelog ===
github-backup (1.20170301-3build3) groovy; urgency=medium

  * No-change rebuild against libffi8ubuntu1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 27 Aug 2020 00:04:23 +0000

github-backup (1.20170301-3build2) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Feb 2020 11:02:17 +0000

github-backup (1.20170301-3build1) focal; urgency=medium

  * No-change rebuild for libffi soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 12 Jan 2020 08:50:36 +0000

github-backup (1.20170301-3) unstable; urgency=medium

  * Upload an upstream cherry-pick to fix a build failure with newer ghc

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 06 Sep 2019 15:02:33 +0200

github-backup (1.20170301-2) unstable; urgency=medium

  * Spelling correction in man page (closes: #832274)
  * Adopt package (closes: #869397)
  * Bump standards version, no changes required
  * Relax on github library dependency (closes: #880579)

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 03 Nov 2017 03:09:03 +0000

github-backup (1.20170301-1) unstable; urgency=medium

  * New upstream version
  * Bump libghc-github-dev Build-Depends to 0.15.0
  * Remove unused binary-or-shlib-defines-rpath override
  * Remove all patches, merged upstream
  * Change Vcs-* to collab-maint
  * Declare compliance with Policy 4.0.0, no changes needed
  * Bump Debhelper compat to 10
  * Orphan the package

 -- James McCoy <jamessan@debian.org>  Sat, 22 Jul 2017 21:10:24 -0400

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: utils
 Priority: optional
 Build-Depends: 
-	debhelper (>= 9),
+	debhelper (>= 10),
 	ghc,
 	git,
-	libghc-github-dev (>= 0.14.0), libghc-github-dev (<< 0.15.0),
+	libghc-github-dev (>= 0.15.0),
 	libghc-missingh-dev,
 	libghc-hslogger-dev,
 	libghc-pretty-show-dev,
@@ -16,14 +16,15 @@
 	libghc-optparse-applicative-dev,
 	libghc-vector-dev,
 	libghc-utf8-string-dev,
-Maintainer: James McCoy <jamessan@debian.org>
-Standards-Version: 3.9.8
-Vcs-Git: git://github.com/joeyh/github-backup.git -b debian/sid
-Homepage: http://github.com/joeyh/github-backup
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Barak A. Pearlmutter <bap@debian.org>
+Standards-Version: 4.1.0
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/github-backup.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/github-backup.git
+Homepage: https://github-backup.branchable.com/
 
 Package: github-backup
 Architecture: any
-Section: utils
 Depends: ${misc:Depends}, ${shlibs:Depends}, git
 Description: backs up data from GitHub
  github-backup is a simple tool you run in a git repository you cloned from

## github-backup 1.20200721

=== Makefile ===
--- 
+++ 
@@ -24,11 +24,6 @@
 	find -name \*.o -exec rm {} \;
 	find -name \*.hi -exec rm {} \;
 
-# Upload to hackage.
-hackage: clean
-	./Build/make-sdist.sh
-	@cabal upload dist/*.tar.gz
-
 # hothasktags chokes on some template haskell etc, so ignore errors
 tags:
 	find . | grep -v /.git/ | grep -v /tmp/ | grep -v /dist/ | grep -v /doc/ | egrep '\.hs$$' | xargs hothasktags > tags 2>/dev/null

=== debian/changelog ===
github-backup (1.20200721-2build1) impish; urgency=medium

  * No-change rebuild for libffi soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 11 Sep 2021 07:00:48 +0200

github-backup (1.20200721-2) unstable; urgency=medium

  * Oops missing build dependency on libghc-split-dev
  * Rules do not require root

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 27 Aug 2020 12:10:15 +0100

github-backup (1.20200721-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces

  [ Barak A. Pearlmutter ]
  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set field Upstream-Contact in debian/copyright.
  * New upstream version (closes: #966160, #967090)
  * Bump policy
  * Point debian/watch at hackage
  * Remove now-unneeded lintian override
  * Quilt patch typo in man page
  * Update git-buildpackage configuration
  * Shift README.md from symbolic link to contents to match upstream
    tarball instead of upstream git repo to avoid confusing the dpkg
    source manipulation tools.

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 27 Aug 2020 11:14:12 +0100

github-backup (1.20171126-1) unstable; urgency=medium

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 28 Mar 2018 18:03:57 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: github-backup
 Section: utils
 Priority: optional
-Build-Depends: 
-	debhelper (>= 10),
+Build-Depends:
+	debhelper-compat (= 13),
 	ghc,
 	git,
 	libghc-github-dev (>= 0.15.0),
@@ -16,11 +16,14 @@
 	libghc-optparse-applicative-dev,
 	libghc-vector-dev,
 	libghc-utf8-string-dev,
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Barak A. Pearlmutter <bap@debian.org>
-Standards-Version: 4.1.0
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/github-backup.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/github-backup.git
+	libghc-filepath-bytestring-dev,
+	libghc-bytestring-dev,
+	libghc-split-dev,
+Maintainer: Barak A. Pearlmutter <bap@debian.org>
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/debian/github-backup.git
+Vcs-Browser: https://salsa.debian.org/debian/github-backup
 Homepage: https://github-backup.branchable.com/
 
 Package: github-backup
